use std::fs::File;
use std::io;
use std::io::{BufRead, BufReader};
use crate::diff::diff;

mod matrix;
mod lcs;
mod diff;

fn main() -> io::Result<()> {
    let file = File::open("test-data/config.jsonc")?;
    let mut reader_a = BufReader::new(file);

    let file = File::open("test-data/config-old.jsonc")?;
    let mut reader_b = BufReader::new(file);

    let result = diff(&mut reader_a, &mut reader_b);
    dbg!(result);

    Ok(())
}
